Bug 1275071 - procmail's error code for EX_CANTCREAT is a 5xx error - causing lost email
procmail's error code for EX_CANTCREAT is a 5xx error - causing lost email
Status: NEW
Product: Fedora
Classification: Fedora
Component: procmail (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 1275072
  Show dependency treegraph
 
Reported: 2015-10-25 11:26 EDT by Paul Wouters
Modified: 2017-08-08 15:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1275072 (view as bug list)
Environment:
Last Closed: 2017-08-08 14:58:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Wouters 2015-10-25 11:26:24 EDT
When running a default install of postfix with procmail if the spool file becomes 50MB, the combination postfix+procmail will fail to write to the mail spool file with error:

procmail: can't create user output file.

The source code shows:

           EX_CANTCREAT, "5.2.0", "can't create user output file",

This means postfix is not signaled to return a temp error and a new delivery is never attempted by the remote smtp server (causing me additional pains not only in lost email but also in having an unreproducable bug that took months to track down)

Note the core reason turned out to be postfix's default behaviour of limiting writes to mbox files in the spool directory to 50MB.


The postfix problem was solved by setting mailbox_size_limit=0


Note this problem only appears when using mbox instead of maildir.
Comment 1 Jan Kurik 2016-02-24 08:52:13 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Fedora End Of Life 2017-07-25 15:23:21 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2017-08-08 08:19:12 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Paul Wouters 2017-08-08 11:34:28 EDT
re-opening. This is a serious bug that leads to loss of email
Comment 5 Fedora End Of Life 2017-08-08 14:58:34 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.